=== debian/control ===
Source: ros-one-pr2-gazebo-plugins
Section: misc
Priority: optional
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), liborocos-kdl-dev, liborocos-kdl1.5, ros-one-angles, ros-one-catkin, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-gazebo-msgs, ros-one-gazebo-plugins, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-generation, ros-one-message-runtime, ros-one-nav-msgs, ros-one-polled-camera, ros-one-pr2-controller-manager, ros-one-pr2-hardware-interface, ros-one-pr2-mechanism-model, ros-one-pr2-msgs, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf, ros-one-urdf
Homepage: http://ros.org/wiki/pr2_gazebo_plugins
Standards-Version: 3.9.2

Package: ros-one-pr2-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liborocos-kdl1.5, ros-one-angles, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-gazebo-msgs, ros-one-gazebo-plugins, ros-one-gazebo-ros, ros-one-geometry-msgs, ros-one-image-transport, ros-one-message-generation, ros-one-message-runtime, ros-one-nav-msgs, ros-one-polled-camera, ros-one-pr2-controller-manager, ros-one-pr2-hardware-interface, ros-one-pr2-mechanism-model, ros-one-pr2-msgs, ros-one-roscpp, ros-one-rospy, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf, ros-one-urdf
Description: Gazebo Plugins for various PR2-specific sensors and actuators on the robot.
